Bug 139761 - Can not load library: libcore_2_1_0b.so
Can not load library: libcore_2_1_0b.so
Product: Red Hat Developer Suite
Classification: Retired
Component: Platform (Show other bugs)
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Ben Konrath
Depends On:
Blocks: 139411
  Show dependency treegraph
Reported: 2004-11-17 16:34 EST by Jeff Pound
Modified: 2007-04-18 13:15 EDT (History)
0 users

See Also:
Fixed In Version: 3.x
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-07 14:26:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Pound 2004-11-17 16:34:53 EST
Description of problem:
when using the CDT the following message appears in the .log file.
!MESSAGE Could not load library: libcore_2_1_0b.so.  This library
provides platform-specific optimizations for certain file system
operations.  This library is not present on all platforms, so this may
not be an error.  The resources plug-in will safely fall back to using
java.io.File functionality.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create a new Managed C project
2. view the workspace/.metadata/.log file
Actual results:
libcore_2_1_0b.so is not loaded and eclipse falls back on the
java.io.File functionality.

Expected results:
libcore_2_1_0b.so should load properly
Comment 1 Ben Konrath 2004-11-17 16:53:31 EST
Same result for ppc w/ IBM jvm. 

This might be a problem with our build. I'll look into this tomorrow.
We need libcore to be available so that the ResourceAttributes API can
be backported to get propper cvs support (see bug #139411)
Comment 2 Ben Konrath 2005-12-07 14:26:02 EST
This this has been fixed with the transition to 3.x.

Note You need to log in before you can comment on or make changes to this bug.